Subject: Re: max zip speed?
From: [email-masked] (Zelix)
Date: 13 May 1996 00:39:43 GMT
Newsgroups: comp.sys.apple2

[ed note:]
You can purchase MCM6206-30 (32K * 8, 30 nsec, 0.6 mil wide, SRAMs) from
"AMERICA II ELECTRONICS", 1-800-767-2637.
[end ed note]
 
Summary: frequently asked questions about upgrade TransWarp GS or Zip GS
Keywords: twgs, zip, accelerator, IIgs, upgrade, speed
 
Mini-FAQ (frequently asked questions) for upgrading TransWarp GS or Zip GS
 
Last updated:   02-23-95   It's been almost 6 months since the last
                           release.  A new Digi-Key catalog came today,
                           plus I was cleaning my file system; both led
                           me to get what ever else needed to update done.
 
                           Not much news lately, and I think this FAQ will
                           remain like this for a while...
 
                12-27-94 - I've been lagging greatly on the update.  Today
                           I quickly looked though the FAQ and quickly updated
                           what ever was missing...  This is a quick release.
 
                11-16-94 - Added some comments about new WDC 14 MHz parts.
                           (not released)
 
        =============================================================
 
                08-22-94 - Major update, availability of true 14 MHz parts!!
                         - New feature for table of content, hope you like
                           it!
                08-02-94 - Updated reliability. (~~15)
                07-26-94 - Toshi Morita ([email-masked]) added some comments
                           Zip GS. (~~7 ~~8)
                07-08-94 - Updated/checked prices on osciallators and SRAM,
                           and some minor changes which hopefully made it
                            easier to read.
                06-24-94 - AE is dead now, so GALs are probably not available
                           anymore.  Parts like 32 KB cache should still be
                           obtainable from resellers.
                03-14-94 - Replaced all mHz with MHz.
                01-22-94 - Included which 74HC00 to get for the zip. (~~13)
                12-22-93 - Minor appearence update, and some new test results.
                12-11-93 - Finally cleaned it up!
                12-09-93 - Update the crystal oscillators, SRAM, & RAM prices.
                ??-??-93 - First version...

////////// Disclaimer //////////
 
Copyright (c) 1993-95, by Frank M. Lin
All rights reserved.
 
Feel free to distribute original copies of this to anywhere you think it
might be of help.
 
I make no guarantee about any of the information provided below.  If you
choose to do any part of the upgrade, you are taking the risk.  I will
not responsible for anything.
 
Please do not modify this FAQ.  Let me know if any information is
incorrect and/or misleading.
 
Internet: [email-masked]
FutureNet: Capsule, user #9 @ Boycot BBS (#9@#8)
IRC: PoTTy (come visit the fools at #appleiigs)

////////// Table of Contents //////////
 
Search for next topic by scanning for ~~, or ~~number.
                        OR
Scan for ** to jump to the next "last updated" topic.
 
 1. Where can I buy the 32 KB cache for Transwarp GS?
 2. Does it really run at 14 MHz?
 3. Where can I buy the high-speed 65816?
 4. What GALs version do I need for my TWGS?
 5. Where can I buy the GALs?
 6. Where can I buy crystal oscillators?
 7. What speed of static cache RAMs do I need?
 8. Where can I buy the SRAMs?
 9. Do I really need to increase the voltage?
10. How do I increase the voltage?
11. Where can I buy the heavy duty power supply?
12. Is it true that Zip can only go about 12.5 MHz?
13. Where can I get replacement 7400 for my Zip?
14. What kind of performance increase can one expect?
15. Is it reliable?

////////// Common questions & answers //////////
 
** ~~1. Where can I buy the 32 KB cache for Transwarp GS?
 
        It costs about $80.
 
        It requires you to cut two little traces at the back of TWGS.
        Cut it _lightly_, it's fairly easy to cut too deep.  So just
        take it easy.
 
        Note: Not too sure if LRO exists; I know they are around,
              under a different name.  Do they deal with Apple II
              stuff anymore?
 
              Currently, there are no known place that carries this
              upgrade.  If you have the old TWGS (with 8 KB cahce,
              and/or older GALs), you should look for a new or used
              Zip GS.
 
        =============================================================

 
** ~~2. Does it really run at 14 MHz?
 
        WDC now has true 14 MHz parts, they will run 14 MHz at the stock
        5 V.  It is possible because of the 0.8 micron chip fabrication
        process.  (formerlly 1.0 micron I believe)
 
        If you run it with 5+ volts, higher speeds should be possible.
 
        Note: Apparently, WDC does not warrent these new 14 MHz chips
              even though they are production parts.  This sucks because
              the chip I have does not work correctly even at 12.5 MHz.
 
              Toshi Morita's new chip doesn't work at all!  I'm not that
              much better neither since the chip isn't worth anything
              if it isn't stable.  Heck, my older engineering sample
              crashes less.
 
              Couple of others have reported good success with the new
              parts though, so I'm just noting that you may get a bad
              chip!
 
              Others have suggested that it isn't actually a bad chip.
              It's just a chip with lower environment tolerance compare
              to other chips.  So you may have to do additional
              modifications to the TWGS/Zip board to make it really
              stable.
 
        =============================================================

 
** ~~3. Where can I buy the high-speed 65816?
 
        The Western Design Center, Inc.
        2166 East Brown Road
        Mesa, Arizona 85213
 
        (602) 962-4545 voice
        (602) 835-6442 fax
 
        Internet E-mail: [email-masked]
 
        ---
        Price: $19.80 each, minimum order is $100
 
        Availability: shipping now!
 
        Note: All of the chips have been tested to run 14 MHz at 5
        volts.  Thus the schmoo plot sheet isn't included any more.
 
        =============================================================

 
** ~~4. What GALs version do I need for my TWGS?
 
        Basically, you have to have the following GALs to go over
        10 MHz:
 
        1A, 2B, 3E, 4B, 5A, 6A, 7A, 8B
 
        All TWGS should have the A GALs.  So you need:
 
        2B - DMA fix
        3E - for above 10 MHz operation
        4B - dunno
        8B - dunno
 
        Note: Some people are running 12+ MHz with older GALs than
        the ones listed above.
 
        =============================================================

 
~~5. Where can I buy the GALs?
 
        AE is gone, completely (no more Macintosh products neither).
        You can not get GALs from AE anymore.  If you get lucky, you
        might find used TWGS with the correct GAL revisions.
 
        If you can not find a TWGS with the latest GALs, you are
        probably better off buying a Zip GS.
 
        =============================================================

 
** ~~6. Where can I buy crystal oscillators?
 
        Digi-Key Corporation
 
        (800) 344-4539 voice
        (218) 681-3380 fax
 
        ---
        For TWGS and Zip GS, the crystal oscillators runs at 4 times
        the speed of the 65816.
 
        For example, you need a 40 MHz oscillator to run a TWGS/Zip GS
        at 10 MHz.
 
        ---
        From March/April 1995 Digi-Key catalog: price dropped by about
        30 cents for the Epson's, no price change for CTS'.
 
        Epson America, Inc.: 1/2 TTL for TWGS
        Part No.        Frequency       Price ($)       TWGS speed
        SE1101-ND       32 MHz          3.30            8 MHz
        SE1102-ND       33.3333         3.30            8.3333
        SE1103-ND       36              3.30            9
        SE1104-ND       40              3.30            10
        SE1105-ND       42              3.30            10.5
        SE1106-ND       46              3.30            11.5
        SE1107-ND       48              3.30            12
        SE1108-ND       50              3.30            12.5
        SE1109-ND       55              3.30            13.75
        SE1110-ND       60              3.45            15
 
        I have the CTS oscillators, 64, 66.6, and 80.  So they will
        work fine with TWGS.
 
        CTS Clock Oscillators: 1/2 TTL for TWGS
        Part No.        Frequency       Price ($)       TWGS speed
        CTX174          32 MHz          3.25            8 MHz
        CTX175          40              3.25            10
        CTX177          64              4.45            16
        CTX178          66.6666         4.45            16.6667
        CTX179          80              10.01           20
 
        ---
        Orders under $25 costs $5 to ship, over $25 is free..
 
        My understanding is that, if you over clock a CPU.  It just won't
        function.  You can't damage it.  As the disclaimer said, do it at
        your own risk.  I have tried to run my TWGS at 20 MHz, system won't
        boot at all.  No damage.
 
        ---
        for Zip you need: (by Long)
 
        The Zip can use three types of crystals including the common
        4-pin full TTL crystal oscillator, 4-pin 1/2 TTL crystal
        oscillator (also used on TWGS) and 2-pin crystal (little metal
        canister about 1/4 the size of 1/2 TTL).  To be able to use a
        2-pin crystal, your Zip must have a resistor at R1 and capacitors
        at C13 and C14.  I've found these three parts to be missing from
        current Zips. No big loss since 2-pin crystals are less common
        and are only available up to a certain frequency.  I have the
        values of those parts written down somewhere and will post them
        when I find them.
 
        For experimenting with different frequencies it makes it easier
        if you install a socket for the crystal oscillator.  It's also
        a good idea to secure it down with one of those zip tie bands.
        Only 6 of the 14 pins are used (picture A). The ground (GND)
        pins 1, 4 and 7 are connected together.  The power pins 11 and 14
        are connected together.  Full TTL crystal oscillators use pins 1,
        7, 8 and 14 (refer to picture B).  1/2 TTL crystal oscillators use
        the bottom four pine (4, 7, 8 and 14; picture C).  Make sure it's
        oriented correctly with the corner (usually with a dot printed next
        to it) at about 11 o'clock.
 
        *WARNING*  The crystal oscillator will be damaged if installed
                   incorrectly.
 
                                         _______
        GND  1 o  \/  o 14  POWER     1 |o      \  14
        NC     x      x     NC          |        |
        NC     x      x     NC          |  FULL  |           ______
        GND  4 o      o 11  POWER       |  TTL   |        4 |o     \  14
        NC     x      x     NC          |        |          |  1/2  |
        NC     x      x     NC          |        |          |  TTL  |
        GND  7 o      o  8  CLOCK     7  \______/   8     7  \_____/   8
 
                 (A)                       (B)                 (C)
 
        x - no connection (NC)
 
        =============================================================

 
~~7. What speed of static cache RAMs do I need?
 
        I have read 35ns is enough for 12.5 MHz.  I'm not sure about
        the requirement of 13.75 MHz or 15 MHz.  15ns costs only slightly
        more than 20ns, so I recommand getting 15ns.
 
        ---
        For TWGS with the 32 KB cache:
        3 - 32 KB x 8 SRAM .3 mils (also called half size) try to get
        low-power models if possible.
 
        For TWGS with older 8k cache:
        Upgrade to 32 KB cache first.  big speed improvements!
 
        ---
        <Frank: Zips uses wide SRAM (.6 mil) standard.  You can use
         wide SRAMs if you can find them (they're harder to come by).
         Below, Long has a good illustration of how to make it accept
         wide or skinny (.3 mil) SRAMs>
 
        For Zip you need: (by Long)
 
        I've found Japanese and American static rams to work the best
        (20 ns in tag and 25 ns in data).  The Zip can use narrow (.3 mil)
        or wide (.6 mil) static rams. It all depends on the sockets that
        are installed on your Zip.  With a little modification you can
        make a Zip with wide sockets accept both wide and skinny SRAMs.
        Ground yourself then carefully pry out the static rams.  Look at
        the socket and you will notice two or three horizontal bars holding
        both sides of the socket together (picture D).  Carefully cut those
        out.  This will expose a column of holes where you will solder in
        half of a socket.  Refer to picture E, position skinny (.3 mil)
        static rams over the left and center columns and wide static rams
        over outer most columns and making sure the notch on the static
        ram is facing 12 o'clock.
 
        *WARNING*  Plug the static rams in wrong and you will destroy them.
 
            CUT
            ___           ___________ Skinny (.3 mil)
           |   |         |   |
         ____ ____       _   _   _
        |o __V__ o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|__o__|o|     |o| |o| |o|
        |o _____ o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|  o  |o|     |o| |o| |o|
        |o|__o__|o|     |o| |o| |o|
        |o _____ o|     |o| |o| |o|
 
                         |_______|___ Wide (.6 mil)
 
            (D)             (E)
 
        ---
        Toshi's ([email-masked]) notes:  I've pulled out all four of my SRAM
        sockets and installed carefully cut machine-pin SIPP sockets in mine
        and seems to work pretty well.
 
        Frank:  Toshi's had to de-solder all the sockets and, so it isn't
        easier than Long's way.  Toshi's came out looking cleaner and neater
        though.
 
        =============================================================

 
** ~~8. Where can I buy the SRAMs?
 
        02-23-95: I haven't picked up MicroTimes in a while... but I think
        SRAM/DRAM prices haven't changed much.
 
        From June 27, 1994 MicroTimes.  Note IMD appears to have the best
        price, but other are listed if you wish to call...
 
        ---
        International Micro Devices (IMD)
        1630 Oakland Road A108
        San Jose, CA 95131
 
        (408) 452-7700 voice
        (408) 452-7771 fax
 
        Monday-Friday 9 AM to 5:30 PM, Saturday 10 AM - 2 PM (Pacific time)
 
        32 KB x 8 SRAM @ 25ns   $4.00 each
        32 KB x 8 SRAM @ 20ns   $5.00 each
        32 KB x 8 SRAM @ 15ns   $5.50 each
 
        ---
        AMT International
        2393 Qume Drive
        San Jose, CA 95131
 
        (408) 383-9044 voice
        (408) 383-9047 fax
        (408) 944 9801 fax
 
        Monday-Friday 9 AM to 5 PM (Pafific time)
 
        32 KB x 8 SRAM @ 20ns   $5.95 each
        32 KB x 8 SRAM @ 15ns   $6.95 each
 
        ---
        C. B. Memory & Computers
        1319 Jacklin Road
        Milpitas, CA 95035
 
        (408) 946-5174 voice
        (408) 946-5175 voice
        (408) 946-5376 fax
 
        Hours unkown, probably same as AMT International.
 
        ---
        Note: SRAM prices went up recently (and isn't stable), so call
              for the latest prices...

        {}

 
** ~~9. Do I really need to increase the voltage?
 
        With the new 14 MHz parts, you should not need to mess with the
        voltage at all.  Unless you want to try 15 MHz, 16 Mhz, or
        even 20 MHz.
 
        =============================================================

 
** ~~10. How do I increase the voltage (with the heavy duty power supply)?
 
        WARNING: generally, it's not recommended to do this.  You might
                 decrease the life of your GS.  Adjusting the pot expose
                 you to HIGH-VOLTAGES which can be FATAL!!!  If you feel
                 at all in-competent, it is recommended you stick to
                 5v, or let a qualified electrician do it ($$$).
 
                 Another reason is, performance increase from ~12 MHz
                 to 13.75 or 15 MHz isn't as impressive as from 7 to
                 9/10 MHz, probably because the GS's 1 MHz bus limit.  So
                 it might not worth the risk/time/effort to try beyond
                 5v.  You're also at a much higher risk of damanging
                 your TWGS/Zip/GS.
 
        Note: I've drove my GS to as high as 6 volts.  Nothing blow
        up, except the computer just sorta reset it self.  I don't
        recommend you to try this.  :-)  It's just a side note.
 
        ---
        The easiest way would be to purchase AE's heavy duty power
        supply.  Memory Plus Distributor (MPD  sells the exact
        same supply (except with out the AE sticker & price) for
        slightly cheaper.  LRO also carries the MPD power supply.
 
        The power connector on the mother board:
         _______
        |  _   _|
        | |_| |_        pin 1: ground
        |       |
        |  _   _|
        | |_| |_        pin 2: ground
        |       |
        |  _   _|
        | |_| |_        pin 3: no connection; not used
        |       |
        |  _   _|
        | |_| |_        pin 4: +5  volt supply
        |       |
        |  _   _|
        | |_| |_        pin 5: +12 volt supply
        |       |
        |  _   _|
        | |_| |_        pin 6: -12 volt supply
        |       |
        |  _   _|
        | |_| |_        pin 7: -5 volt supply
        |_______|
 
        Attach the volt meter's gound to either gound pin, then the
        positive to the +5v supply.  That should give a reading of 5v.
 
        To turn up the voltage, simply open the HD (heavy duty)
        power supply.  There is a pot (which you can turn with a screw)
        to adjust the voltage.
 
               ||      - power cord
        -------------
        |           |
        |           |  ||  - 7 pin connector on your motherboard
        |           |  ||
        |           |
        |           |
        |           |
        |           |
        |oooooooooo =  - wires to your motherboard
        |oooooooooo |
        |oooooooooo |
        |oooooooooo |  - pot is located about 3" from the bottom &
        |oooooooooo |                   about 1" from the right
        |oooooooooo |
        |oooooooooo |       turn clock wise to increase the voltage
        -------------    counter clock wise to decrease the voltage
 
                         turn it SLOWLY!  supplying over 5.5v is not
                         recommended.
 
        If you have a skinny, long screw driver, you can adjust the pot
        with out opening the power supply.  However, I think it's actually
        easier if you open it.  Just don't touch anything but the pot.
 
        =============================================================

 
** ~~11. Where can I buy the heavy duty power supply?
 
        Memory Plus Distributors, Inc.
        7902 East Pierce Street
        Scottsdale, Arizona 85257
 
        (602) 820-8819 voice
        (602) 968-3211 fax
 
        Monday through Friday 9 am to 4 pm (MST)
 
        ---
        7 amp GS power supply - $75
        GS internal cooling fan - $19.95
 
        Internal cooling fan is highly recommended for a TWGS, or if
        you have a few cards in your GS.
 
        Note: If anybody has called MPD lately, perhaps you can check
              these prices are still relevent.  These prices were
              from last issue(s) of inCider/A+.
 
        =============================================================

 
~~12. Is it true that Zip can only go about 12.5 MHz?
 
        The Zip need to have the 74F00 replaced with 74HC00.
 
        =============================================================

 
** ~~13. Where can I get replacement 7400 for my Zip?
 
        Digi-Key Corporation
 
        (800) 344-4539 voice
        (218) 681-3380 fax
 
        ---
        From March/April 1995 Digi-Key catalog: price went up from 28 cents
        to 61 cents now.
 
        National Semiconductor - 74HC00  Series CMOS
 
        Digi-Key part number    description             chip package    price
        MM74HC00N-ND            quad 2-In NAND Gate     14-dip          .61
 
        =============================================================

 
~~14. What kind of performance increase can one expect?
 
        This is just to give you a rough estimate of how much faster
        you might be able to achieve...
 
        ---
        BenchMark v5.0 results:
 
        CPU         Stock   TWGS   TWGS   TWGS      Zip    Zip   Zip
        Version    ROM 01   1.8s   1.8s   1.8s    1.0.2  1.0.2  1.0.2
        Cache/Spd         32k/15 32k/15 32k/15   64k/?? 64k/?? 64k/??
        Clock Spd     2.8     15  13.75   12.5       16     15     14
                  ======= ====== ====== ======   ====== ====== ======
        Sieve      410.00  99.00 108.00 117.00    98.00  99.00 110.00
        String    1151.20 270.00 292.00 303.67   259.00 262.00 282.00
        Float 1    472.00  92.33  87.00 111.33   123.00 128.00 135.00
        Float 2   1535.00 317.00 394.00 381.67   395.00 415.00 432.00
        Fibinacci 2006.00 605.00 634.00 645.33   507.00 523.00 548.00
        Integer   1553.40 307.00 330.00 346.67   420.00 431.00 443.00
 
        Dhrystone     236   1136   1063   1000       NA     NA     NA
                *           1351          1183     1282     NA     NA
 
        * Dhrystone v1.1 re-compiled under ORCA/C v2.0.1
 
        ---
        If you look at the numbers, a 12 MHz or faster TWGS/Zip will
        make everything just about 4x faster than a stock //gs.
 
        ---
        System Software 5.0 QuickDraw II improvement test:
 
        Stock //gs:     5648 ticks
        TWGS 15 MHz:    1332 ticks (over 4x faster than stock)
 
        =============================================================

 
** ~~15. Is it reliable?
 
        I will need to collect more data for this.  Over all, most people
        have been successful and they are running they TWGS/Zip at 12+ MHz
        with no problems.  I vaguely remember one or two people have
        problems with the upgrade.
 
-- 
 [email-masked] IIGS Forever-Mac Never!_______JesusisLord!_
|Peter Handel  www.stolaf.edu/people/handel Student UNIX Systems Programmer|
|"God will not let you be tempted beyond what you can bear" - 1 Cor. 10:v13|
|______Whatdoesitprofitaman,togainafortune,andyetloseyoursoul? - MWS_______|